org.eclipse.graphiti.ui.internal.util.ui.sfx

## Class GFSnapFeedbackPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.graphiti.ui.internal.policy.ResourceManagingGraphicalEditPolicy
      - - org.eclipse.graphiti.ui.internal.util.ui.sfx.GFSnapFeedbackPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class GFSnapFeedbackPolicy
    extends ResourceManagingGraphicalEditPolicy

An EditPolicy that is used to show snap feedback for guides (red lines) and geometry (blue lines). This policy is not required for Grids.

Since:
  3.0

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`GFSnapFeedbackPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `eraseTargetFeedback(org.eclipse.gef.Request request)`
`void` `showTargetFeedback(org.eclipse.gef.Request req)`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, eraseSourceFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFSnapFeedbackPolicy

    public GFSnapFeedbackPolicy()

### Method Detail

#### eraseTargetFeedback

    public void eraseTargetFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.eraseTargetFeedback(org.eclipse.gef.Request)`

#### showTargetFeedback

    public void showTargetFeedback(org.eclipse.gef.Request req)

Specified by:
  `showTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `showTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.showTargetFeedback(org.eclipse.gef.Request)`